import { createEnv } from "@t3-oss/env-core";
import { z } from "zod";

export const env = createEnv({
  emptyStringAsUndefined: true,
  runtimeEnv: process.env,
  server: {
    CONVEX_SITE_URL: z.url(),
    FLUE_DB_TOKEN: z.string().min(1),
    NATIVE_APP_URL: z.string().min(1).default("code://"),
    SITE_URL: z.url(),
  },
});
